sonata_media:
    db_driver: doctrine_orm
    default_context: default
    class:
        media: Application\Sonata\MediaBundle\Entity\Media
        gallery: Application\Sonata\MediaBundle\Entity\Gallery
        gallery_item: Application\Sonata\MediaBundle\Entity\GalleryHasMedia
    contexts:
        default:
            providers:
                - sonata.media.provider.dailymotion
                - sonata.media.provider.youtube
                - sonata.media.provider.image
                - sonata.media.provider.file
                - sonata.media.provider.vimeo
            formats:
                small: { width: 100, quality: 70 }
                big:   { width: 500, quality: 70 }
        image_produit:
            providers:
                - sonata.media.provider.image
            formats:
                small:               { width: 100, quality: 70 }
                big:                 { width: 500, quality: 70 }
                homepageicon:        { width: 30,  height: 40,  quality: 90, constraint: false }
                icon:                { width: 256, height: 256, quality: 90, constraint: false }
                fichepotagerproduit: { width: 135, height: 135, quality: 90, constraint: false }
        image_potager:
            providers:
                - sonata.media.provider.image
            formats:
                small:       { width: 100, quality: 70 }
                big:         { width: 500, quality: 70 }
                homepage:    { width: 267, height: 219, quality: 90, constraint: false }
                fichepotager: { width: 604, height: 500, quality: 90, constraint: false }
        image_potager_img:
            providers:
                - sonata.media.provider.image
            formats:
                small:        { width: 100, quality: 70 }
                big:          { width: 500, quality: 70 }
                homepage:     { width: 267, height: 219, quality: 90, constraint: false }
                fichepotager: { width: 604, height: 500, quality: 90, constraint: false }
        image_cms:
            providers:
                - sonata.media.provider.image
            formats:
                big: { width: 1403, quality: 100 }
        image_slider:
            providers:
                - sonata.media.provider.image
            formats:
                small:    { width: 100,  quality: 70 }
                big:      { width: 500,  quality: 70 }
                homepage: { width: 1815, height: 579, quality: 90 }
        icon_type_potager:
            providers:
                - sonata.media.provider.image
            formats:
                iconprofile: { width: 96, height: 96, quality: 90, constraint: false }
                iconmap:     { width: 46, height: 46, quality: 90, constraint: false }
        iconliv_type_potager:
            providers:
                - sonata.media.provider.image
            formats:
                iconmap: { width: 32, height: 48, quality: 90, constraint: false }
        photo_jardinier:
            providers:
                - sonata.media.provider.image
            formats:
                small:       { width: 100, quality: 70 }
                big:         { width: 500, quality: 70 }
                photo:       { width: 115, height: 115, quality: 90, constraint: false }
                updatephoto: { width: 372, height: 372, quality: 90, constraint: false }
                account:     { width: 77,  height: 77,  quality: 90, constraint: false }
        image_categorie_faq:
            providers:
                - sonata.media.provider.image
            formats:
                small: { width: 100, quality: 70 }
                big:   { width: 500, quality: 70 }
                faq:   { width: 53,  height: 63, quality: 90, constraint: false }
    cdn:
        server:
            path: /uploads/media
    filesystem:
        local:
            directory: '%kernel.project_dir%/public/uploads/media'
            create: false
    providers:
        image:
            resizer: sonata.media.resizer.fixedresizer
